function [last R]=MoveRobot(R)
% Moves the robot by one time slice.
%
% Simulates the robot motion. Simulates that the robot advances. After the
% simulated motion the new sensor readings that can be obtained using 
% GetSensorReadings.
%
% The output 'last' is true when the robot reaches the end of the
% simulation, i.e., when no more (simulated) sensor readings are
% available.
%
% See also GetSensorReadings.

  if (R.time<R.nReadings)
    last=false;
    R.time=R.time+1;
  else
    last=true;
  end
	