function R=Robot(varargin)
% Simulated robot constructor.
%
% Defines a simulated robot that is latter on move and, after each motion,
% delivers the corresponding sensor readings. The sensor readings can be
% purely simulated or obtained from a log file resulting from a data
% collection with a real robot.
%
% The possible parameters are
%      - Another robot.
%      - A name for the robot plus a cell array with the sensors to be
%        added to the sensor.

  switch nargin
    case 1
      % Copy constructor
      if isa(varargin{1},'Robot')
        R=varargin{1};
      else
        error('Robot copy constructor used with an non-robot object');
      end
    case 2
      R.name=varargin{1};
      R.sensors=varargin{2};
      
      R.nSensors=size(R.sensors,2);
      R.time=0;
      R.nReadings=min(cellfun(@size,R.sensors));
			
      R=class(R,'Robot');
    otherwise
      error('Wrong number of input arguments in Robot constructor');
  end
  
  
  