function out=get(R,field,varargin)
% Get function for robots.
%
% Retrives information about a robot.
% Possible fields to query are:
%     - name: The name (or identifier) of the robot.
%     - sensors: The set set of sensors of the robot.
%     - sensor: One of the sensors of the robot.
%     - nSensors: The number of sensors of the robot.
%     - time: The current time slice in the robot simulation.

  switch field
    case 'name'
      out=R.name;
    case 'sensors'
      out=R.sensors;
    case 'sensor'
      out=R.sensors{varargin{1}};
    case 'nSensors'
      out=R.nSensors;
    case 'time'
      out=R.time;
    otherwise
      error('Unknow field in Robot get');
  end
  