function CC=GetCrossCovarianceWithPose(EKF,step)
% Cross covariance of a given pose with the current one.
%
% Returns the croos covariance of the pose at time slice 'step' with the
% current robot's pose.

  if isa(step,'double')
    nStates=get(EKF.P_Filter,'nStates');
    dim=get(EKF.P_Filter,'dim');
	
    i=Step2State(EKF.P_Filter,step);
  
    ind=(i-1)*dim+1:i*dim;
    last=(nStates-1)*dim+1:nStates*dim;
	
    CC=EKF.Sigma(ind,last);
  else
    if isa(step,'PoseData')
      CC=get(step,'crossCovarianceData');
    else
      error('Unknown 2nd parameter type in GetCrossCovarianceWithPose (EKF)');
    end
  end
	