function G=GetPoseEstimation(EKF,step)
% Estimation of a given pose.
% 
% Returns a Gaussian with the mean and covariance for the pose of the
% robot at time slice 'step' using the information stored in the filter.

  i=Step2State(EKF.P_Filter,step);
  dim=get(EKF.P_Filter,'dim');
  
  ind=(i-1)*dim+1:i*dim;
  G=Gaussian(EKF.mu(ind),EKF.Sigma(ind,ind));
