function out=get(EKF,field)
% Get function for EKF filters.
%
% Retrives information from a Extended Kalman Filter
% The possible fields to retrive are:
%      - Sigma: The covariance matrix.
%      - Lambda: The inverse of Sigma. Expensive to compute!
%      - mu: The mean.
%
% Besides this, all the fields of the generic filter.
%
% See also Filter/get.

  switch field
    case  'Sigma'
      out=EKF.Sigma;
    case  'Lambda'
      ne=size(EKF);
      out=EKF.Sigma\eye(ne);
    case 'mu'
      out=EKF.mu;
    otherwise
      out=get(EKF.P_Filter,field);
  end
  