function n=ComputeNEES(F,T)
% Quantifies the consitency of a filter.
%
% Quantifies the filter consistency using the NEES criterion at a 95%
% confidence level.
% Outputs above 1 indicate an inconsistent filter.
%
   
alpha=0.95;

if true
  % Get the ground truth for the poses actually stored in the filter
  ne=size(F);
  dim=get(F,'dim');
  nStates=get(F,'nStates');
  
  e=zeros(ne,1);
  mu=get(F,'mu');
  ind=1:dim;
  for i=1:nStates
    e(ind)=double(Pose(mu(ind))-T{State2Step(F,i)});
    ind=ind+dim;
  end
  
  Lambda=get(F,'Lambda');
  
  m=e'*Lambda*e;
  
  n=m/chi2inv(alpha,ne);
else
  dim=get(F,'dim');
  nStates=get(F,'nStates');
  step=State2Step(F,nStates);
  
  ep=GetPoseEstimation(F,step); %estimated pose
  
  e=double(Pose(get(ep,'mean'))-T{step});
  Lambda=get(ep,'invCovariance');
  
  m=e'*Lambda*e;
  n=m/chi2inv(alpha,dim);
end
