function S=GetPoseCovariance(F,step)
% Marginal covariance of a given pose.
%
% Return the marginal covariance for the pose obtained at time 'step'
%   
% Note that each filter has a different way of computing the marginal
% covariances. This is hidden in this function since it uses the 
% GetPoseEstimation that can have particular implementations for each 
% filter.
%
% See also GetPoseEstimation.

  S=get(GetPoseEstimation(F,step),'covariance');
