function ShowLinkToNeighbour(F,Parameters,pt,step,n,c)
% Shows the line to a possible neighbour.
%
% While simulating the current robot pose and those tested for sensor
% registration are linked with a line. This function is used to show this
% line.
%
% See also HideLinkToNeighbour.

  if Parameters.plot
    p1=GetPoseMean(F,step);
    p2=GetPoseMean(F,n);
        
    set(pt.loopTest,'xdata',[p1(1) p2(1)],'ydata',[p1(2) p2(2)],...
      'linestyle','-','color',c,'marker','*',...
      'markersize',6,'linewidth',1);
    uistack(pt.loopTest,'top');
    drawnow;
  end