function st=State2Step(F,state)
% Returns the step corresponding to a state.
%
% In general filters store one internal state (i.e., one pose)  for each 
% simulation step. However, some filters (i.e., the TRO filter) can
% remove redundant poses. In this case we have less internal states than
% simulation steps.
% This function provides the conversion from state identifiers to 
% simulation step ones.
%
% Note that all functions operating on filters use step identifiers as
% inputs and not states!. Steps IDs are externally assigned and states are
% decided according to the filter internal workings and that must be
% hidden to the upper levels. States are only used as IDs in private
% functions.
%
% If one uses one of the filters functions with one of the removed steps
% an error will be triggered (actually step2state will return -1 and this
% is not valid as an index).
%
% See also Step2State.

 st=F.State2Step(state);
 