function st=Step2State(F,step)
% Returns the state correspoinding to a step.
%
% In general filters store (i.e., one interal state) one pose for each 
% simulation step. However, some filters (i.e., the TRO filter) can
% remove redundant poses. In this case we have less internal states than
% simulation steps.
% This function provides the conversion from step identifiers to 
% states.
%
% Note that all functions operating on filters use step identifiers as
% inputs and not states!. Steps are externally assigned and states are
% decided according to the filter internal workings and that must be
% hidden to the upper levels. States are only used as IDs in private
% functions.
%
% If one uses one of the filters functions with one of the removed steps
% an error will be triggered (actually step2state will return -1 and this
% is not valid as an index).
%
% See also State2Step.

  st=F.Step2State(step);
 
 