function F=UpdateLoop(F,linked,dS,RS)
% Adds a loop to the filter.
%
% Updates the the filter when a loop is closed (i.e., when we add a link
% between the current robot's pose and one of the previous poses).

  loop.p1=F.nSteps;
  loop.p2=linked;
  
  % More than one sensor can confirm the loop. Just store the fusion
  % of them
  ns=size(RS,2);
  G=SensorFusion(1:ns,dS,RS);
  loop.displacement=Pose(get(G,'mean'));
  loop.noise=get(G,'covariance');
  
  F.nLoops=F.nLoops+1;
  F.loops{F.nLoops}=loop;
  