function T=BTree(varargin)
% Balanced tree constructor.
%
% Builds a new balanced tree of poses.
%
% The balanced tree consructor can be used with the following parameters
%     - Another balanced tree. Copy constructor.
%     - A data set in the form of a cell array (possibly empty) and the
%       number indicating the expected number of elements to be stored in
%       the tree.

  switch nargin

    case 1
      if isa(varargin{1},'BTree')
        T=varargin{1};
      else
        if isa(varargin{1},'cell')
          % Reserve space for 2500 poses. This array will be extended as
          % needed.
          T=BTree(varargin{1},5000); 
        else 
           error('Wrong number of parameters in Balanced-Tree creation');
        end
      end
      
		case 2
      if isa(varargin{1},'cell') && isa(varargin{2},'double')

        data=varargin{1};
        nd=size(data,2); % number of elements to initially insert in the tree
        
        n=max(3*nd,varargin{2});
        T.data=cell(1,n);
        T.last=0;
        T.leaves=[];
        T.root=0;
        T=class(T,'BTree');

        for i=1:nd
          T=InsertInTree(T,data{i});
        end
        
      else
        error('Wrong parameters type in Balanced-Tree creation');
      end

    otherwise
      error('Wrong number of parameters in Balanced-Tree creation');
  end
