function display(T,varargin)
% Displays a balanced tree.
%
% For each node in the tree in prints
%       - For empty leaves: 'Empty Tree'.
%       - For non-empty trees: the data stored in the tree.
%       - For internal tree nodes: the area covered the branch, the split
%         dimension, the split point, and the branch depth.
%
% See also BTree.

  if nargin==1
    h=' ';
    c=T.root;
  else
    h=varargin{1};
    c=varargin{2};
  end
  if c==0
    fprintf('%sEmpty Tree\n',h);
  else
    switch T.data{c}.heigth
      case 0
        fprintf('%sEmpty Tree\n',h);
      case 1
        e=T.data{c}.element;
        fprintf('%s [%f %f %f]\n',h,e(1),e(2),e(3));
      otherwise
        r=T.data{c}.element;
        if isa(r,'double')
          fprintf('%s[%f %f] [%f %f] [%f %f] (h:%u)\n',h,...
            Lower(r(1)),Upper(r(1)),Lower(r(2)),Upper(r(2)),Lower(r(3)),Upper(r(3)),...
            T.data{c}.heigth);
        else
          fprintf('%s',h);display(r);fprintf('(h:%u)\n',T.data{c}.heigth);
        end

        display(T,[h '  '],T.data{c}.left);
        display(T,[h '  '],T.data{c}.right);
    end
  end
