function out=get(T,field)
% Get function for BTrees.
%
%   Retrives information from a tree. Possible fields to query are:
%     - root: Root node index.
%     - height: Height of the tree.
%     - data: All nodes (including leaves).
%     - numNodes: Number of nodes (including leaves) in the tree.
%
% See also BTree.

  r=T.root;
  switch field
    case 'root'
      out=T.root;
    case 'height'
      out=T.data{r}.heigth;
    case 'data'
			out=T.data;
    case 'numNodes'
			out=T.last;
    otherwise
      error('Unknown field in Balanced-Tree get');
  end
