function PD=Union(PD1,PD2)
% Union of two PoseData objects.
%
% Produces a PoseData, PD, that summarizes the information stored in the
% two input PoseDatas, PD1 and PD2.
%
% The composition of information is achieved by defining intervals that
% fully include the values in the PoseDatas to merge.
%
% The resulting PoseData includes the indentifiers in the two composed
% PoseDatas.

  PD.m=Union(PD1.m,PD2.m);
  PD.S=Union(PD1.S,PD2.S);
  PD.CS=Union(PD1.CS,PD2.CS);
  PD.id=[PD1.id(1:end) PD2.id(1:end)];
  PD.isInterval=true;
  PD=class(PD,'PoseData');
