function v=subsref(PI,S)
% Selects components of a PoseData (operator: ()).
%
% Returns one or more of the components of the in the
% PoseData mean. This is used when building a Tree. In the tree poses 
% are sorted according one of the components
% of the mean and this function gives access to it in a way
% homogeneous to how vector elements are accessed.
% This allow to use build trees both for PoseData and for
% arrays of doubles (this is useful for debug)

  if strcmp(S.type,'()')
    v=PI.m(S.subs{:});
  end
  
