function p=GaussianCPD(G,t)
% Computes the Gaussian cummulative probability distribution.
%
% Cumulative probability distribution for a point, t, in a 
% uni-dimensional Gaussian.

  if G.dim>1
    error('Gaussian CPD is only defined one one-dimensional Gaussians');
  end
  p=0.5*(1+erf((t-G.m)/sqrt(2*G.S)));
