function g=GaussianValue(G,x)
% Evaluates a Gaussian in an array of points
%
% Returns the evaluation of a Gaussian on a given set of points. x (given
% column-wise).

  l=size(x,2);
  Sn=-0.5*G.iS;
	g=zeros(1,l);
  for i=1:l
    m=x(:,i)-G.m;
    g(i)=exp(m*Sn*m');
  end
  g=G.ct*g; %apply the scale factor to all outputs
 
