function h=PlotGaussian(G,varargin)
% Plots a Gaussian.
%
% Plots a Gaussian. For one-dimensinal Gaussians produces a
% one-dimensional plot. For higher dimensional Gaussians an ellipse
% representing the marginal of the Gaussian on the two first dimensions is
% shown.
% The fuction accepts an optional parameter with the color for the plot.
%
% Returns:
%    h: The handler of the line/ellipse representing the Gaussian.

  if G.d==0
    h=0;
  else
    if G.dim==1
      r=3*sqrt(G.S); % represent the Gaussian from -3*sigma to 3*sigma
      n=100; %points of the curbe representing the gaussain
      
      X=(-r:(2*r)/(n-1):r)+G.m;
      Y=GaussianValue(G,X);
      
      plot(X,Y);
    else
      h=line([G.m(1) G.m(1)],[G.m(2) G.m(2)]);
      set(h, 'marker','*');
      if nargin>1
        set(h, 'Color',varargin{1});
      end
      el=get(G,'ellipse');
      h = line(el(1,:),el(2,:));
      
      if nargin>1
        set(h, 'Color',varargin{1});
      end
    end
  end
