function R=RandomGaussian(G,n) 
% Generates random points on a Gaussian.
%
% Generates n random points following the given Gaussian distribution, G.
%
% Returns
%   R: A column-wise set of randomly generated vectors.

  if G.d==0
    R(:,1:n)=repmat(G.m,1,n);
  else
    L=chol(G.S);
    A_temp=normrnd(0,1,G.dim,n);
    A=L*A_temp;
    for i=1:size(A,2)
      R(:,i)=G.m+A(:,i);
    end
  end

