function G=mtimes(G1,G2)
% Product of two Gaussians.
%
% Product of two Gaussians G1 and G2. It produces a Gaussian as ouput that
% represents the fusion of the information given by the two input Gaussians.

  if G1.dim~=G2.dim
    error('Gaussians with different dimensions in Gaussian product');
  end
  
  if G1.d==0
    G=G1;
  else
    if G2.d==0
      G=G2;
    else
      iS=G1.iS+G2.iS;
      
      R=chol(iS);
      iR=R\eye(size(R));
      
      d=1;
      for i=1:G1.dim
        d=d*R(i,i);
      end
      d=1/(d*d);
      
      S=iR*iR';
      
      G.m=S*(G1.iS*G1.m+G2.iS*G2.m);
      G.dim=G1.dim;
      G.S=S;
      G.d=d;
      G.iS=iS;
      G.ct=1/sqrt(((2*pi)^G.dim)*G.d);
      
      G=class(G,'Gaussian');
    end
  end