function Gd=GetGeneralDistance2Pose(dim,m,MS,H)
% Distance from a pose the the current pose.
%
%   This is the common part of GetDistance2Pose and
%   GetRelativeDistance2Pose. Both functions generate one Gaussian for each
%   dimension of the displacement between poses. In the first one the
%   displacement is expressed in the global frame and in the second the
%   displacement is expressed in the frame of the first pose.
%   
%   See also GetDistance2Pose, GetRelativeDistance2Pose.
  
  % R is the noise of the sensor that will make the measurament
	Sigma=H*MS*(H');
  
  % Marginalize for each dimension
  Gd=cell(1,dim);
  for i=1:dim
    s=Sigma(i,i);
    Gd{i}=Gaussian(m(i),s); 
  end
  