function Iout=minus(I1,I2) 
% Substraction of two interval matrices (operator: -).
%
% Substracts two interval matrices. 
% It also accepts mixed real/interval matrices as inputs.

  if isa(I1,'double')
    Iout.lower=I1-I2.upper;
    Iout.upper=I1-I2.lower;
    Iout.r=I2.r;
    Iout.c=I2.c;
    Iout=class(Iout,'Interval');
  else
    if isa(I2,'double')
      Iout.lower=I1.lower-I2;
      Iout.upper=I1.upper-I2;
      Iout.r=I1.r;
      Iout.c=I1.c;
      Iout=class(Iout,'Interval');
    else
      Iout.lower=I1.lower-I2.upper;
      Iout.upper=I1.upper-I2.lower;
      Iout.r=I1.r;
      Iout.c=I1.c;
      Iout=class(Iout,'Interval');
    end
  end

