function Iout=mtimes(I1,I2)
% Product of two interval matrices (operator: *).
%
% Product of two interval matrices, I1, I2.
% It accepts mixed real/interval matrices as inputs.

  [nr nc1]=size(I1);
  [nr2 nc]=size(I2);
  if nc1~=nr2
    Iout=I1.*I2;
  else
    Iout.lower=zeros(nr,nc);
    Iout.upper=zeros(nr,nc);
    
    I1d=isa(I1,'double');
    I2d=isa(I2,'double');
    
    for i=1:nr
      for j=1:nc
        s_min=0;
        s_max=0;
        
        for k=1:nc1
          if I1d
            v=[I1(i,k)*I2.lower(k,j) I1(i,k)*I2.upper(k,j)];
          else
            if I2d
              v=[I1.lower(i,k)*I2(k,j) I1.upper(i,k)*I2(k,j)];
            else
              v=[I1.lower(i,k)*I2.lower(k,j) I1.lower(i,k)*I2.upper(k,j) I1.upper(i,k)*I2.lower(k,j) I1.upper(i,k)*I2.upper(k,j)];
            end
          end
          s_min=s_min+min(v);
          s_max=s_max+max(v);
        end
        Iout.lower(i,j)=s_min;
        Iout.upper(i,j)=s_max;
      end
    end
    Iout.r=nr;
    Iout.c=nc;
    Iout=class(Iout,'Interval');
  end
