function Iout=pi2pi(I)
% Forces an angular interval to be in [-pi,pi].
%
% Adjusts an angular interval so that it is included in [-pi,pi].
%
% We shift the interval by +/-2 pi keeping the result that maximizes the
% intersection with [-pi,pi].

  dp=2*pi;
  
  pp=Interval(-pi,pi);
  Icn=Intersection(I,pp);
  Iup=Intersection(I+dp,pp);
  Ilo=Intersection(I-dp,pp);
  
  if Diameter(Iup)>Diameter(Icn)
    Iout=Iup;
  else
    if Diameter(Ilo)>Diameter(Icn)
      Iout=Ilo;
    else
      Iout=I;
    end
  end
  