function I=subsasgn(I,S,Inew)
% Changes the value of part of a interval matrix (operator: ()=).
%
% Replaces a sub-matrix of an interval matrix, I, by the given new interval
% sub-matrix, Inew.
% Parameter S provides information about the sub-matrix to replace.
% The new sub-matrix can be real. In this case it is interpreted as a
% punctual interval matrix.

  if strcmp(S.type,'()')
    if isa(Inew,'Interval')
      I.lower(S.subs{:})=Inew.lower;
      I.upper(S.subs{:})=Inew.upper;
    else
      if isa(Inew,'double')
        I.lower(S.subs{:})=Inew;
        I.upper(S.subs{:})=Inew;    
      end
    end
  end
  