function Iout=times(I1,I2)
% Element-size product of two matrices (operator: .*).
%
% Element-by-element multiplication of two interval matrices, I1, I2.
% It accepts mixed real/interval matrices as inputs.

  if isa(I1,'double')
    m1=I1.*I2.lower;
    m2=I1.*I2.upper;
    Iout.lower=min(m1,m2);
    Iout.upper=max(m1,m2);
    [Iout.r Iout.c]=size(Iout.lower);
    Iout=class(Iout,'Interval');
  else
    if isa(I2,'double')
      m1=I1.lower.*I2;
      m2=I1.upper.*I2;
      Iout.lower=min(m1,m2);
      Iout.upper=max(m1,m2);
      [Iout.r Iout.c]=size(Iout.lower);
      Iout=class(Iout,'Interval');
    else
      m1=I1.lower.*I2.lower;
      m2=I1.lower.*I2.upper;
      m3=I1.upper.*I2.lower;
      m4=I1.upper.*I2.upper;
      Iout.lower=min(m1,min(m2,min(m3,m4)));
      Iout.upper=max(m1,max(m2,max(m3,m4)));
      [Iout.r Iout.c]=size(Iout.lower);
      Iout=class(Iout,'Interval');
    end
  end
