% Support function directory
%
% This directory includes a set of support functions used in the SLAM
% toolbox.
%
% The functions are splitted in the following directories:
%
%   - @BTree: Balanced tree object used to efficiently search for 
%     neighbouring poses.
%
%   - Gaussian: Some auxiliary functions to deal with Gaussians and the 
%     Gaussian object (in the @Gaussian sub-directory).
%
%   - Geom: Includes basic geometric functions.
%
%   - Interval: Minor functions together with the Interval object (in the
%     @Interval directory) which is basically used in the PoseData object.
%
%   - m2html: Package used to generate the documenation. Is is the same
%     that you can download from
%           http://www.mathworks.com/matlabcentral/fileexchange/4039
%     but with a new template.
%
%   - Plot: Basic plot functions and functions to plot the result of a
%     simultaion.
%
%   - @PoseData: Object defining the internal nodes of the @BTree. It is 
%     based in interval arithmetics. 
%
%   - Simulation: Functions to deal with the outputs from simultions 
%     (basically to continue the simulation a partial simulation).
%

