function [H1 H2]=Absolute2RelativeJacobian(P1,P2)
% Jacobian of the relative displacement between two poses.
%
% Returns the Jacobians of the Absolute2Relative function with respect its
% parameteres evaluated at P1 and P2.
% This is used in the linear filters to linearize Absolute2Relative and is
% denoted by H in our papers.
%
% See also Absolute2Relative.

  x1=P1.data(1);  y1=P1.data(2);  o1=P1.data(3);
	x2=P2.data(1);  y2=P2.data(2);% o2=P2.data(3);
  
	dx=(x2-x1);
	dy=(y2-y1);

	c1=cos(o1);
	s1=sin(o1);

	H1=[[-c1 -s1 -s1*dx+c1*dy ];
	  	[ s1 -c1 -c1*dx-s1*dy ];
		  [  0   0    -1        ]];
		
	H2=[[ c1  s1 0];
		  [-s1  c1 0];
		  [  0   0 1]];
	