function P2n=AddNoise(P1,P2,Sigma)
% Adds noise to a pose.
%
% Adds noise (with 0 mean and Sigma covariance) to P2.
% The noise is added corrupting the relative displacement between P1 and
% P2 (i.e., the noise is given in the space of relative
% displacement between poses).
%
% Returns:
%    P2n: the noisy P2.
%
% See also Absolute2Relative.

  D=Absolute2Relative(P1,P2);
	P2n=Relative2Absolute(P1,AddNoise2Relative(D,Sigma));
	