function Dn=AddNoise2Relative(D,Sigma)
% Adds noise to a displacement between poses.
%
% Adds noise (with 0 mean and the given covariance, Sigma) to a relative
% displacement between poses, D.
%
% Returns:
%    Dn: the noisy displacement, D.
%
  m=double(D);
  mn=RandomGaussian(Gaussian(m,Sigma),1);
  Dn=Pose(mn);
  