function P=Pose2D(varargin)
% 2D Pose constructor. 
%
% Possible parameters are: 
%     - another 2D pose
%     - a column-wise array with 3 reals giving the x, y and orientation 
%       components of the pose.
%
% See also Pose, Pose3D.

  switch nargin
    
    case 1
      if isa(varargin{1},'Pose2D')
        P=varargin{1};
      else
        if isa(varargin{1},'double') && (size(varargin{1},1)==3)
          P.data=[varargin{1}(1);varargin{1}(2);pi2pi(varargin{1}(3))];
          P=class(P,'Pose2D');
        else
          error('Wrong parameter type in Pose2D constructor');
        end
      end
      
    otherwise
      error('Wrong number of parameteres in Pose2D constructor');
      
  end
