function P=Pose(varargin)
% Generic pose constructor. 
%
% Uses the size of the arguments to decide which type of pose (2D or 3D) to
% return. 
%   - A Pose2D is defined if the input is a 3-element column vector.
%   - A Pose3D is defined if the input is a 6-element colunm vector.
%
% Other kind of poses can be easily defined provided their number of
% parameters is not the same as already defined poses.
%
% TODO: Implement Pose3D.

  % First check if we a defining a brand new pose
  if isa(varargin{1},'double')
    switch size(varargin{1},1)
      case 3
        P=Pose2D(varargin{1:end});
      case 6
        P=Pose3D(varargin{1:end});
      otherwise
        error('Wrong number of parameters in Pose constructor');
    end
  else
    % Now check if we are using a copy constructor
    if isa(varargin{1},'Pose2D')
      P=varargin{1};
    else
      if isa(varargin{1},'Pose3D')
        P=varargin{1};
      else
        error('Wrong parameter type in Pose constructor');
      end
    end
  end
  