function S=RelPosSensor(varargin)
% Relative Position Sensor constructor.
%
% A sensors whose data give relative positioning information (such as 
% encoder odometry).

  switch nargin
    
    case 1
      % Copy constructor
      if isa(varargin{1},'RelPosSensor')
        S=varargin{1};
      else
        error('Sensor copy constructor used with an non-sensor object');
      end
      
    case 2
      % Base sensor (stores the noise)
      if isa(varargin{2},'char') || isa(varargin{2},'double')
        if isa(varargin{2},'char')
          rawData=load(varargin{2});
        else
          rawData=varargin{2};
        end
        n=size(rawData,1);
        data=cell(1,n);
        for i=1:n
          data{i}=Pose(rawData(i,:)');
        end
      else
        if isa(varargin{2},'cell')
          data=varargin{2};
        else
          error('Wrong parameter type in RelPoseSensor constructor.');
        end
      end
      
      SB=Sensor(varargin{1},data);
      
      S=class(struct([]),'RelPosSensor',SB);
      
    otherwise
      error('Wrong number of parameters in RelPosSensor creation');
  end
