function S=Sensor(varargin)
% Sensor constructor.
%
% Basic object common for all sensors.
%
% The possible parameters are:
%     - Another sensor.
%     - The sensor noise and a file name from where to read the data.
%     - The sensor noise and the cell array of readings.
%

  switch nargin
    
    case 1
      % Copy constructor
      if isa(varargin{1},'Sensor')
        S=varargin{1};
      else
        error('Sensor copy constructor used with an non-sensor object');
      end
      
    case 2
      S.noise=varargin{1};
      
      if isa(varargin{2},'char')
        data=load(varargin{2});
        n=size(data,1);
        S.readings=cell(1,n);
        for i=1:n
          S.readings{i}=data(i,:);
        end
      else
        if isa(varargin{2},'cell');
          S.readings=varargin{2};
        end
      end
      
      S=class(S,'Sensor');
      
    otherwise
      error('Wrong number of parameters in Sensor creation');
  end
  