function out=get(S,field,varargin)
% Generic get for sensors
%
% Retrives information about a sensor.
% The possible fields to retive are:
%     - noise: The noise of the sensor. We assume it constant.
%     - allReadings: The set of readings associated with the sensor.
%       The nature of these readings depend on the type of sensor.
%     - reading: A particular reading (index given as a second paramter).

  switch field
    case 'noise'
      out=S.noise;
    case 'allReadings'
      out=S.readings;
    case 'reading'
      out=S.readings{varargin{1}};
    otherwise
      error('Unknow field in Sensor get');
  end

