% Matlab toolbox for PoseSLAM.
%
% This toolbox is the software associated with the paper
%
%      Information-based Compact Pose SLAM
%    by V. Ila, J.M. Porta, J. Andrade-Cetto.
%          Submitted to IEEE-TRO
%
% Before using this toolbox you need to install the SuiteSparse toolbox
%      http://www.cise.ufl.edu/research/sparse
%
% and make it avaliable to MatLab executing      
%      addpath <path to SuiteSparse>
%
% The structure of the toolbox is pretty clear, however, the best way
% to fully understand what is done in each function is to read the
% paper first.
%
% For deails of the implemenation you can browse the documentation in the
% Doc directory (open the Doc/index.html with you favorite web browser).
%
% Some of the design decisions might look a bit strange without considering
% that this is part of a larger toolbox including many other filters and 
% sensors.
%   
% See also MakeDoc.
%

clc;
disp(' ');
disp('                    Software associated with the paper: ');
disp('                    Information-based Compact Pose SLAM');
disp('                  by V. Ila, J.M. Porta, J. Andrade-Cetto');
disp('                          (Submitted to IEEE-TRO)');
disp(' ');

path(path,genpath(pwd));

if (exist('cholmod2','file')~=3) || (exist('sparse2','file')~=3)
  fprintf('SuiteSparse is not in the path.\n');
  fprintf('You can download it from http://www.cise.ufl.edu/research/sparse\n');
  fprintf('And then execute:\n');
  fprintf('    path(path,genpath(''PATH TO SUITESPARSE''));\n\n')
  
  warning('SuiteSparse is necessary for this Toolbox');
end

